AUTHSELECT(8)

NAME
authselect - seleziona le sorgenti di identità e autenticazione del sistema.

SINOSSI

    authselect [--debug] [--trace] [--warn] comando [opzioni_comando]

DESCRIZIONE

Authselect è uno strumento per configurare le sorgenti di identità e autenticazione del sistema e i provider selezionando un profilo specifico. Un profilo è un insieme di file che descrive come apparirà la configurazione del sistema risultante. Quando un profilo viene selezionato, authselect creerà nsswitch.conf(5) e lo stack PAM(8) per usare le sorgenti di identità e autenticazione definite dal profilo.

Se l’insieme di profili fornito non è sufficiente, l’amministratore può creare un profilo personalizzato inserendolo in una directory speciale per i profili ("/etc/authselect/custom"). Facendo ciò, il profilo è immediatamente utilizzabile da authselect. Vedere authselect-profiles(5) per maggiori informazioni su come estendere i profili esistenti.

ADESIONE A AUTHSELECT

Authselect non toccherà la configurazione esistente a meno che non sia già stata creata da esso. Se si desidera iniziare a usare authselect per configurare l’autenticazione del sistema, si prega di chiamare prima authselect select con il parametro --force (es. authselect select sssd --force). Il parametro --force indica ad authselect che è consentito sovrascrivere la configurazione esistente non-authselect (vedere la descrizione sotto). Usare il parametro --force genererà automaticamente un backup della configurazione attuale, quindi se si desidera tornare indietro è possibile ripristinarla con il comando authselect backup-restore (vedere la descrizione sotto).

OPT-OUT DA AUTHSELECT

Per impedire ad authselect di gestire la tua configurazione, esegui authselect opt-out. Questo rimuoverà tutta la configurazione di authselect dal tuo sistema e potrai quindi modificarla manualmente.

COMANDI DISPONIBILI

Per elencare tutti i comandi disponibili eseguire authselect senza alcun parametro. Per stampare l’aiuto per il comando selezionato eseguire authselect COMANDO --help.

select id_profilo [funzionalità] [-f, --force] [-q, --quiet] [-b] [--backup=NOME]
    Attiva il profilo desiderato. Vedere la descrizione del profilo con il comando show, per elencare le funzionalità opzionali specifiche del profilo.

    --force, -f
        Scrive le modifiche anche se la configurazione precedente non è stata creata da authselect ma da un altro strumento o tramite modifiche manuali. Questa opzione eseguirà automaticamente il backup dei file di sistema prima di scrivere qualsiasi modifica, a meno che non sia impostata l’opzione --nobackup.

    -b
        Esegue il backup dei file di sistema prima di attivare il profilo selezionato. Il backup verrà memorizzato in "/var/lib/authselect/backups"/NOME. L’ora corrente con una stringa univoca viene utilizzata come nome del backup. Questa è una scorciatoia per --backup=.

    --backup=NOME
        Esegue il backup dei file di sistema prima di attivare il profilo selezionato. Il backup verrà memorizzato in "/var/lib/authselect/backups"/NOME. L’ora corrente con una stringa univoca viene utilizzata come nome se non viene fornito alcun valore.

    --nobackup
        Non eseguire il backup della configurazione di sistema anche se --force è impostato.

    --quiet, -q
        Il comando non stamperà alcun messaggio informativo come requisiti aggiuntivi del profilo o posizione del backup. Gli errori vengono comunque stampati.

apply-changes [-b] [--backup=NOME]
    Riapplica il profilo attualmente selezionato. Se i modelli del profilo sono stati aggiornati questo comando può essere utilizzato per rigenerare l’attuale configurazione di sistema al fine di applicare queste modifiche sul sistema. Questo comando riapplicherà le modifiche solo se la configurazione esistente è una configurazione authselect valida, altrimenti viene restituito un errore.

    -b
        Esegue il backup dei file di sistema prima di applicare le modifiche. Il backup verrà memorizzato in "/var/lib/authselect/backups"/NOME. L’ora corrente con una stringa univoca viene utilizzata come nome del backup. Questa è una scorciatoia per --backup=.

    --backup=NOME
        Esegue il backup dei file di sistema prima di applicare le modifiche. Il backup verrà memorizzato in "/var/lib/authselect/backups"/NOME. L’ora corrente con una stringa univoca viene utilizzata come nome se non viene fornito alcun valore.

list
    Elenca i profili disponibili.

list-features id_profilo
    Elenca tutte le funzionalità disponibili nel profilo dato. Nota: Questo elencherà solo le funzionalità senza alcuna descrizione. Si prega di leggere la documentazione del profilo con show per vedere cosa fanno le funzionalità.

show id_profilo
    Stampa informazioni sul profilo.

requirements id_profilo [funzionalità]
    Stampa informazioni sui requisiti del profilo.

corrente [-r, --raw]
    Stampa informazioni sui profili attualmente selezionati. Se l’opzione --raw è specificata, il comando stamperà i parametri grezzi così come sono stati passati al comando select invece dell’output formattato.

check
    Verifica se la configurazione corrente è valida (è stata creata da authselect o non ci sono residui dalla precedente configurazione authselect).

test id_profilo [opzioni] [funzionalità]
    Stampa il contenuto dei file generati da authselect senza effettivamente scrivere nulla nella configurazione di sistema.

    -a, --all
        Stampa il contenuto di tutti i file.

    -n, --nsswitch
        Stampa il contenuto di nsswitch.conf.

    -s, --system-auth
        Stampa il contenuto di system-auth.

    -p, --password-auth
        Stampa il contenuto di password-auth.

    -c, --smartcard-auth
        Stampa il contenuto di smartcard-auth.

    -f, --fingerprint-auth
        Stampa il contenuto di fingerprint-auth.

    -o, --postlogin
        Stampa il contenuto di postlogin.

    -d, --dconf-db
        Stampa il contenuto del database dconf.

    -l, --dconf-lock
        Stampa il contenuto del blocco dconf.

enable-feature funzionalità [-b] [--backup=NOME] [-q, --quiet]
    Abilita la funzionalità nel profilo attualmente selezionato.

    -b
        Esegue il backup dei file di sistema prima di abilitare la funzionalità. Il backup verrà memorizzato in "/var/lib/authselect/backups"/NOME. L’ora corrente con una stringa univoca viene utilizzata come nome del backup. Questa è una scorciatoia per --backup=.

    --backup=NOME
        Esegue il backup dei file di sistema prima di abilitare la funzionalità. Il backup verrà memorizzato in "/var/lib/authselect/backups"/NOME. L’ora corrente con una stringa univoca viene utilizzata come nome se non viene fornito alcun valore.

    --quiet, -q
        Il comando non stamperà alcun messaggio informativo come requisiti aggiuntivi del profilo o posizione del backup. Gli errori vengono comunque stampati.

disable-feature funzionalità [-b] [--backup=NOME]
    Disabilita la funzionalità nel profilo attualmente selezionato.

    -b
        Esegue il backup dei file di sistema prima di disabilitare la funzionalità. Il backup verrà memorizzato in "/var/lib/authselect/backups"/NOME. L’ora corrente con una stringa univoca viene utilizzata come nome del backup. Questa è una scorciatoia per --backup=.

    --backup=NOME
        Esegue il backup dei file di sistema prima di disabilitare la funzionalità. Il backup verrà memorizzato in "/var/lib/authselect/backups"/NOME. L’ora corrente con una stringa univoca viene utilizzata come nome se non viene fornito alcun valore.

is-feature-enabled feature
    Check if feature is currently enabled in the selected profile.

create-profile NOME [--vendor,-v] [opzioni]
    Crea un nuovo profilo personalizzato chiamato NOME. Il profilo può essere basato su un profilo esistente, nel qual caso i nuovi modelli del profilo vengono copiati dal profilo di base oppure vengono creati collegamenti simbolici a questi file se tale opzione è selezionata.

    --vendor,-v
        Il nuovo profilo è un profilo del fornitore invece di un profilo personalizzato. Vedere authselect-profiles(5) per maggiori informazioni sui tipi di profilo.

    --base-on=ID_BASE, -b=ID_BASE
        Il nuovo profilo sarà basato su un profilo chiamato ID_BASE. La posizione del profilo di base è determinata con questi passaggi:

            1. Se ID_BASE inizia con il prefisso custom/ è un profilo personalizzato.

            2. Prova se ID_BASE si trova nei profili del fornitore.

            3. Prova se ID_BASE si trova nei profili predefiniti.

            4. Restituisce un errore.

    --base-on-default
        Il profilo di base è un profilo predefinito anche se si trova anche all’interno dei profili del fornitore.

    --symlink-meta
        I file meta, come README e REQUIREMENTS, saranno collegamenti simbolici ai file del profilo di origine invece di una loro copia.

    --symlink-nsswitch
        Il modello nsswitch.conf sarà un collegamento simbolico al file del profilo di origine invece di una sua copia.

    --symlink-pam
        I modelli PAM saranno collegamenti simbolici ai file del profilo di origine invece di una loro copia.

    --symlink-dconf
        I modelli dconf saranno collegamenti simbolici ai file del profilo di origine invece di una loro copia.

    --symlink=FILE,-s=FILE
        Crea un collegamento simbolico per un file modello FILE invece di creare la sua copia. Questa opzione può essere passata più volte.

COMANDI DI BACKUP

Questi comandi possono essere utilizzati per gestire le configurazioni di cui è stato eseguito il backup.

backup-list [-r, --raw]
    Stampa i backup disponibili. Se l’opzione --raw è specificata, il comando stamperà solo i nomi dei backup senza alcuna formattazione e informazione aggiuntiva.

backup-remove BACKUP
    Elimina permanentemente il backup chiamato BACKUP.

backup-restore BACKUP
    Ripristina la configurazione dal backup chiamato BACKUP. Nota: questo sovrascriverà la configurazione corrente.

ALTRI COMANDI

opt-out
    Rimuovere la configurazione di authselect. Questo ripristinerà la configurazione di nsswitch e PAM nella sua posizione di sistema e authselect non la gestirà più. Eseguire authselect select per attivare nuovamente l’opzione.

OPZIONI COMUNI

Queste opzioni sono disponibili con tutti i comandi.

--debug
    Stampa informazioni di debug e messaggi di errore.

--trace
    Stampa informazioni su cosa sta facendo lo strumento.

--avvisare
    Stampa informazioni su situazioni inattese che non influenzano l’esecuzione del programma ma possono indicare alcune situazioni indesiderate (es. file inatteso in una directory del profilo).

RISOLUZIONE DEI PROBLEMI

  Come posso sapere se il mio sistema sta usando authselect?

Usare authselect check. L’output indicherà se si dispone di 1) configurazione generata da authselect 2) configurazione non-authselect o 3) configurazione generata da authselect ma modificata manualmente ad un certo punto.

  Il file nsswitch.conf dovrebbe essere ora un collegamento simbolico?

Authselect genera la configurazione del sistema da zero e la memorizza in "/etc/authselect". I file di sistema vengono quindi creati come collegamenti simbolici a questa directory. I collegamenti simbolici vengono utilizzati per rendere chiaro che authselect è ora proprietario della configurazione e dovrebbe essere usato al posto di qualsiasi modifica manuale.

  Errore: sono state rilevate modifiche impreviste alla configurazione.

Per esempio:

    [errore] [/etc/authselect/nsswitch.conf] non esiste!
    [errore] [/etc/nsswitch.conf] non è un collegamento simbolico!
    [errore] [/etc/nsswitch.conf] non è stato creato da authselect!
    [errore] Sono state rilevate modifiche impreviste alla configurazione.
    [errore] Rifiuto di attivare il profilo a meno che tali modifiche non vengano rimosse o non venga richiesta la sovrascrittura.

Questo significa che la configurazione è sconosciuta ad authselect e come tale non verrà modificata. Per risolvere questo problema, si prega di chiamare authselect select con il parametro --force per indicare che è consentito sovrascriverla.

CODICI DI RITORNO

authselect può restituire questi codici di uscita:

    • 0: Successo.

    • 1: Errore generico.

    • 2: Profilo o configurazione non trovati o sistema non configurato con authselect.

    • 3: La configurazione corrente non è valida, è stata modificata senza authselect.

    • 4: La configurazione di sistema deve essere sovrascritta per attivare un profilo authselect, è necessario il parametro --force.

    • 5: Il comando eseguito deve essere eseguito come root.

    • 6: Nessuna configurazione rilevata.

FILE GENERATI

Authselect crea e mantiene i seguenti file per configurare correttamente l’identità del sistema e i provider di autenticazione.

"/etc/nsswitch.conf"
    File di configurazione del Name Service Switch.

"/etc/pam.d"/system-auth
    PAM stack incluso da quasi tutti i singoli file di configurazione del servizio.

{AUTHSELECT\_PAM\_DIR}/autenticazione-password, autenticazione-smartcard, autenticazione-impronta-digitale
    Questi stack PAM sono per applicazioni che gestiscono l’autenticazione da diversi tipi di dispositivi tramite contemporaneamente conversazioni individuali anziché una conversazione aggregata.

{AUTHSELECT\_PAM\_DIR}/postaccesso
    Lo scopo di questo stack PAM è quello di fornire un luogo comune per tutti i moduli PAM che dovrebbero essere chiamati dopo lo stack configurato in System-Auth o negli altri file di configurazione PAM comuni. È incluso da tutti i singoli file di configurazione del servizio che forniscono un servizio di accesso con Shell o File Access. Note: i moduli nel file di configurazione postlogin vengono eseguiti indipendentemente dal successo o dal fallimento dei moduli nel file di configurazione System-Auth.

"/etc/dconf/db/distro.d"/"20-authselect"
    Modifiche al database dconf. Il principale caso d’uso di questo file è impostare le modifiche per la schermata di accesso di gnome per abilitare o disabilitare l’autenticazione con smartcard e impronta digitale.

"/etc/dconf/db/distro.d"/locks/"20-authselect"
    Questo file definisce i blocchi sui valori impostati nel database dconf.

VEDI ANCHE

authselect-profiles(5), authselect-migration(7), nsswitch.conf(5), PAM(8)